% Hausarbeit.sty
% LaTeX-Vorlage zur Erstellung von Seminararbeiten (10-20 Seiten).
% 2013-11-12 (c) Thomas Geier, Universität Ulm  thomas.geier@uni-ulm
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{Hausarbeit}%[2013/11/12 Klasse für Hausarbeiten}

\LoadClass[a4paper,12pt,parskip=half*,bibliography=totoc,headsepline,abstracton,numbers=noenddot,BCOR=3mm]{scrartcl}

%% setting up fonts
\usepackage{amsfonts} % this includes the eufrak package
\usepackage{lmodern} % lmodern times palatino

%% math fonts:
\usepackage{mathptmx} % Schrift für Formeln
\usepackage[scaled=.90]{helvet} % Schrift für Überschriften
\usepackage{courier} %% Schrift für \tt

%define variables 'betreuer' and 'seminar', 'semester' 
\let\@betreuer\relax
\def\betreuer#1{\def\@betreuer{#1}}
\let\@seminar\relax
\def\seminar#1{\def\@seminar{#1}}
\let\@semester\relax
\def\semester#1{\def\@semester{#1}}
\let\@matrikel\relax
\def\matrikel#1{\def\@matrikel{#1}}
\let\studiengang\relax
\def\studiengang#1{\def\@studiengang{#1}}

\pagestyle{headings} 

\extratitle{
  \pagestyle{empty}
  \includegraphics[height=1.8 cm]{Abbildungen/unilogo_bild.pdf}
  \hfill
  \includegraphics[height=1.8 cm]{Abbildungen/unilogo_wort.pdf}\\[2 em]

  {\footnotesize
    {\bfseries Universit\"at Ulm} \textbar ~89069 Ulm \textbar ~Germany
    \hfill\parbox[t]{38.5 mm}{\bfseries Fakult\"at f\"ur\\
      Ingenieurwissenschaften\\und Informatik\\
    \mdseries Institut f\"ur\\ K\"unstliche Intelligenz}\\[6 em]
    \parbox{140mm}{\sffamily \bfseries \Huge \@title}\\[.5 em]
    {\footnotesize Hausarbeit im Seminar \bf{\@seminar}}\\[4 em]
    \begin{tabular}{@{}lll}
      \bfseries Vorgelegt von & \bfseries Matrikelnummer & \bfseries Studiengang \\
      \@author      & \@matrikel      & \@studiengang
    \end{tabular}\\[2em]
    {\footnotesize \bfseries Veranstalter}\\ 
    {\footnotesize Prof. Dr. Susanne Biundo-Stephan}\\\\
    {\footnotesize \bfseries Betreuer}\\ 
    {\footnotesize \@betreuer}\\\\
    {\footnotesize \bfseries Semester}\\ 
    {\footnotesize \@semester}\\\\
    {\footnotesize \@date}
  }
}
